javax.xml.soap

## Interface SOAPConstants

    public interface SOAPConstants

The definition of constants pertaining to the SOAP protocol.

### Field Summary

Fields
`static String` `DEFAULT_SOAP_PROTOCOL` The default protocol: SOAP 1.1 for backwards compatibility.
`static String` `DYNAMIC_SOAP_PROTOCOL` Used to create `MessageFactory` instances that create `SOAPMessages` whose concrete type is based on the `Content-Type` MIME header passed to the `createMessage` method.
`static String` `SOAP_1_1_CONTENT_TYPE` The media type of the `Content-Type` MIME header in SOAP 1.1.
`static String` `SOAP_1_1_PROTOCOL` Used to create `MessageFactory` instances that create `SOAPMessages` whose behavior supports the SOAP 1.1 specification.
`static String` `SOAP_1_2_CONTENT_TYPE` The media type of the `Content-Type` MIME header in SOAP 1.2.
`static String` `SOAP_1_2_PROTOCOL` Used to create `MessageFactory` instances that create `SOAPMessages` whose behavior supports the SOAP 1.2 specification
`static QName` `SOAP_DATAENCODINGUNKNOWN_FAULT` SOAP 1.2 DataEncodingUnknown Fault
`static String` `SOAP_ENV_PREFIX` The default namespace prefix for http://www.w3.org/2003/05/soap-envelope
`static QName` `SOAP_MUSTUNDERSTAND_FAULT` SOAP 1.2 MustUnderstand Fault
`static QName` `SOAP_RECEIVER_FAULT` SOAP 1.2 Receiver Fault
`static QName` `SOAP_SENDER_FAULT` SOAP 1.2 Sender Fault
`static QName` `SOAP_VERSIONMISMATCH_FAULT` SOAP 1.2 VersionMismatch Fault
`static String` `URI_NS_SOAP_1_1_ENVELOPE` The namespace identifier for the SOAP 1.1 envelope.
`static String` `URI_NS_SOAP_1_2_ENCODING` The namespace identifier for the SOAP 1.2 encoding.
`static String` `URI_NS_SOAP_1_2_ENVELOPE` The namespace identifier for the SOAP 1.2 envelope.
`static String` `URI_NS_SOAP_ENCODING` The namespace identifier for the SOAP 1.1 encoding.
`static String` `URI_NS_SOAP_ENVELOPE` The namespace identifier for the SOAP 1.1 envelope, All SOAPElements in this namespace are defined by the SOAP 1.1 specification.
`static String` `URI_SOAP_1_2_ROLE_NEXT` The URI identifying the next application processing a SOAP request as the intended role for a SOAP 1.2 header entry (see section 2.2 of part 1 of the SOAP 1.2 specification).
`static String` `URI_SOAP_1_2_ROLE_NONE` The URI specifying the role None in SOAP 1.2.
`static String` `URI_SOAP_1_2_ROLE_ULTIMATE_RECEIVER` The URI identifying the ultimate receiver of the SOAP 1.2 message.
`static String` `URI_SOAP_ACTOR_NEXT` The URI identifying the next application processing a SOAP request as the intended actor for a SOAP 1.1 header entry (see section 4.2.2 of the SOAP 1.1 specification).

### Field Detail

#### DYNAMIC_SOAP_PROTOCOL

    static final String DYNAMIC_SOAP_PROTOCOL

Used to create `MessageFactory` instances that create `SOAPMessages` whose concrete type is based on the `Content-Type` MIME header passed to the `createMessage` method. If no `Content-Type` header is passed then the `createMessage` may throw an `IllegalArgumentException` or, in the case of the no argument version of `createMessage`, an `UnsupportedOperationException`.

Since:
  SAAJ 1.3
See Also:
  Constant Field Values

#### SOAP_1_1_PROTOCOL

    static final String SOAP_1_1_PROTOCOL

Used to create `MessageFactory` instances that create `SOAPMessages` whose behavior supports the SOAP 1.1 specification.

Since:
  SAAJ 1.3
See Also:
  Constant Field Values

#### SOAP_1_2_PROTOCOL

    static final String SOAP_1_2_PROTOCOL

Used to create `MessageFactory` instances that create `SOAPMessages` whose behavior supports the SOAP 1.2 specification

Since:
  SAAJ 1.3
See Also:
  Constant Field Values

#### DEFAULT_SOAP_PROTOCOL

    static final String DEFAULT_SOAP_PROTOCOL

The default protocol: SOAP 1.1 for backwards compatibility.

Since:
  SAAJ 1.3
See Also:
  Constant Field Values

#### URI_NS_SOAP_1_1_ENVELOPE

    static final String URI_NS_SOAP_1_1_ENVELOPE

The namespace identifier for the SOAP 1.1 envelope.

Since:
  SAAJ 1.3
See Also:
  Constant Field Values

#### URI_NS_SOAP_1_2_ENVELOPE

    static final String URI_NS_SOAP_1_2_ENVELOPE

The namespace identifier for the SOAP 1.2 envelope.

Since:
  SAAJ 1.3
See Also:
  Constant Field Values

#### URI_NS_SOAP_ENVELOPE

    static final String URI_NS_SOAP_ENVELOPE

The namespace identifier for the SOAP 1.1 envelope, All SOAPElements in this namespace are defined by the SOAP 1.1 specification.

See Also:
  Constant Field Values

#### URI_NS_SOAP_ENCODING

    static final String URI_NS_SOAP_ENCODING

The namespace identifier for the SOAP 1.1 encoding. An attribute named `encodingStyle` in the `URI_NS_SOAP_ENVELOPE` namespace and set to the value `URI_NS_SOAP_ENCODING` can be added to an element to indicate that it is encoded using the rules in section 5 of the SOAP 1.1 specification.

See Also:
  Constant Field Values

#### URI_NS_SOAP_1_2_ENCODING

    static final String URI_NS_SOAP_1_2_ENCODING

The namespace identifier for the SOAP 1.2 encoding.

Since:
  SAAJ 1.3
See Also:
  Constant Field Values

#### SOAP_1_1_CONTENT_TYPE

    static final String SOAP_1_1_CONTENT_TYPE

The media type of the `Content-Type` MIME header in SOAP 1.1.

Since:
  SAAJ 1.3
See Also:
  Constant Field Values

#### SOAP_1_2_CONTENT_TYPE

    static final String SOAP_1_2_CONTENT_TYPE

The media type of the `Content-Type` MIME header in SOAP 1.2.

Since:
  SAAJ 1.3
See Also:
  Constant Field Values

#### URI_SOAP_ACTOR_NEXT

    static final String URI_SOAP_ACTOR_NEXT

The URI identifying the next application processing a SOAP request as the intended actor for a SOAP 1.1 header entry (see section 4.2.2 of the SOAP 1.1 specification).

This value can be passed to `SOAPHeader.examineMustUnderstandHeaderElements(String)`, `SOAPHeader.examineHeaderElements(String)` and `SOAPHeader.extractHeaderElements(String)`

See Also:
  Constant Field Values

#### URI_SOAP_1_2_ROLE_NEXT

    static final String URI_SOAP_1_2_ROLE_NEXT

The URI identifying the next application processing a SOAP request as the intended role for a SOAP 1.2 header entry (see section 2.2 of part 1 of the SOAP 1.2 specification).

Since:
  SAAJ 1.3
See Also:
  Constant Field Values

#### URI_SOAP_1_2_ROLE_NONE

    static final String URI_SOAP_1_2_ROLE_NONE

The URI specifying the role None in SOAP 1.2.

Since:
  SAAJ 1.3
See Also:
  Constant Field Values

#### URI_SOAP_1_2_ROLE_ULTIMATE_RECEIVER

    static final String URI_SOAP_1_2_ROLE_ULTIMATE_RECEIVER

The URI identifying the ultimate receiver of the SOAP 1.2 message.

Since:
  SAAJ 1.3
See Also:
  Constant Field Values

#### SOAP_ENV_PREFIX

    static final String SOAP_ENV_PREFIX

The default namespace prefix for http://www.w3.org/2003/05/soap-envelope

Since:
  SAAJ 1.3
See Also:
  Constant Field Values

#### SOAP_VERSIONMISMATCH_FAULT

    static final QName SOAP_VERSIONMISMATCH_FAULT

SOAP 1.2 VersionMismatch Fault

Since:
  SAAJ 1.3

#### SOAP_MUSTUNDERSTAND_FAULT

    static final QName SOAP_MUSTUNDERSTAND_FAULT

SOAP 1.2 MustUnderstand Fault

Since:
  SAAJ 1.3

#### SOAP_DATAENCODINGUNKNOWN_FAULT

    static final QName SOAP_DATAENCODINGUNKNOWN_FAULT

SOAP 1.2 DataEncodingUnknown Fault

Since:
  SAAJ 1.3

#### SOAP_SENDER_FAULT

    static final QName SOAP_SENDER_FAULT

SOAP 1.2 Sender Fault

Since:
  SAAJ 1.3

#### SOAP_RECEIVER_FAULT

    static final QName SOAP_RECEIVER_FAULT

SOAP 1.2 Receiver Fault

Since:
  SAAJ 1.3

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.